Autore Topic: nuovo utente: installare gestore pacchetti e driver proprietari ATI  (Letto 6039 volte)

Offline gippix

  • *
  • Post: 125
  • Reputazione: -1
    • Mostra profilo
Ho appena installato, sembra veramente una ottima distribuzione!!!
Ho sempre solo usato Ubuntu, avevo voglia di una nuova distribuzione diversa, per poter imparare più cose.
Essendo veramente un principiante, volevo chiedervi due tre cose..
quale sarebbe il gestore dei pacchetti? Non riesco a trovarlo?
Come si abilitano i driver proprietari?
Esiste la possibilità di avere tutta la distribuzione in italiano?

Perdonate le domande da principiante

CIAO DA GIPPIX!!
« Ultima modifica: 26 Dicembre 2011 ore 00:37 da fedefox »

Offline Masque

  • *
  • Post: 723
  • Reputazione: 60
    • Mostra profilo
Re:nuovo utente Chakra
« Risposta #1 il: 25 Dicembre 2011 ore 23:12 »
ben uscito dal tunnel di canonical :D

il gestore grafico di pacchetti, si chiama appset-qt. che è un interfaccia a pacman.

quanto ai driver proprietari, dovrebbero essere in mezzo a tutti gli altri (non c'è una netta distinzione fra pacchetti free e non free, purtroppo... cioè non è come in debian, nella quale tutti i pacchetti non free sono messi in un repository a parte... o, almeno io non ho trovato un modo per separarli nettamente.)

la distribuzione è già localizzata in italiano. una volta installata, viene utilizzata la lingua scelta durante l'installazione.

altrimenti, si può impostare globalmente modificando il file /etc/locale.conf

ad, esempio il mio, è così:
Codice: [Seleziona]
LANG=it_IT.utf8
LC_MESSAGES=it_IT.utf8

Offline gippix

  • *
  • Post: 125
  • Reputazione: -1
    • Mostra profilo
Re:nuovo utente Chakra
« Risposta #2 il: 25 Dicembre 2011 ore 23:24 »
Grazie per la risposta velocissima!!!
Scusami ma il gestore di pacchetti proprio non lo trovo...  ???
Probabilmente dico una sciocchezza, potrebbe non essere installato? ho scaricato la iso della versione minimale.

Offline The Chief

  • *
  • Post: 57
  • Reputazione: 2
    • Mostra profilo
Re:nuovo utente Chakra
« Risposta #3 il: 25 Dicembre 2011 ore 23:25 »
Benvenuto gippix, che scheda video usi?

Offline The Chief

  • *
  • Post: 57
  • Reputazione: 2
    • Mostra profilo
Re:nuovo utente Chakra
« Risposta #4 il: 25 Dicembre 2011 ore 23:25 »
Grazie per la risposta velocissima!!!
Scusami ma il gestore di pacchetti proprio non lo trovo...  ???
Probabilmente dico una sciocchezza, potrebbe non essere installato? ho scaricato la iso della versione minimale.
Codice: [Seleziona]
sudo pacman -S appset-qtNon è installato di default se hai installato il cd
« Ultima modifica: 25 Dicembre 2011 ore 23:31 da The Chief »

Offline Masque

  • *
  • Post: 723
  • Reputazione: 60
    • Mostra profilo
Re:nuovo utente Chakra
« Risposta #5 il: 25 Dicembre 2011 ore 23:29 »
se non ricordo male, nell'ultima iso minimale, appset non è inizialmente incluso.
ma da terminale puoi usare pacman.

qua un breve riassunto
http://chakra-linux.org/wiki/index.php/Pacman/it

se già sai usare apt-get e dpkg, pacman è più semplice :)

se vuoi, tramite quello, installi appset-qt
Codice: [Seleziona]
sudo pacman -S appset-qt
una volta installato puoi lanciarlo dopo aver fatto partire appset-helper
Codice: [Seleziona]
sudo rc.d start appset-helper

Offline gippix

  • *
  • Post: 125
  • Reputazione: -1
    • Mostra profilo
Re:nuovo utente Chakra
« Risposta #6 il: 25 Dicembre 2011 ore 23:31 »
Benvenuto gippix, che scheda video usi?

come scheda video uso una ati

Grazie per l'aiuto per il gestore dei pacchetti!

mi consigli di installare altri pacchetti?

Offline The Chief

  • *
  • Post: 57
  • Reputazione: 2
    • Mostra profilo
Re:nuovo utente Chakra
« Risposta #7 il: 25 Dicembre 2011 ore 23:32 »
Se non sbaglio basta lanciarlo da kickoff e poi resta sempre avviato, il demone si carica in automatico credo...

Offline gippix

  • *
  • Post: 125
  • Reputazione: -1
    • Mostra profilo
Re:nuovo utente Chakra
« Risposta #8 il: 25 Dicembre 2011 ore 23:38 »
Se non sbaglio basta lanciarlo da kickoff e poi resta sempre avviato, il demone si carica in automatico credo...

cosa intendi avviarlo da kickoff?
Per la scheda video cosa ne pensi?

Offline The Chief

  • *
  • Post: 57
  • Reputazione: 2
    • Mostra profilo
Re:nuovo utente Chakra
« Risposta #9 il: 25 Dicembre 2011 ore 23:39 »
come scheda video uso una ati

Grazie per l'aiuto per il gestore dei pacchetti!

mi consigli di installare altri pacchetti?
Allora, per le ati non so uso nvidia, ma tu all'installazione hai scelto di installare usando driver proprietari o no?Con nvidia scegli i driver proprietari della scheda video direttamente da Tribe che è l'installer di Chakra.
Per gli altri pacchetti ti consiglio di installare per il momento, sicuramente ccr
Codice: [Seleziona]
sudo pacman -S ccr base-devel in questo modo puoi usufruire del repo comunitario ccr, che sarebbe come aur in arch
http://chakra-linux.org/ccr/
Poi ti consiglio di installare almeno i codec scegliendo tra due pacchetti in ccr
chakra-essential
Per installarlo ti basta dare dopo aver installato ccr
Codice: [Seleziona]
ccr -S chakra-essentialsdopodichè sceli prima yes e poi N no e ti si installeranno tutti i codec e flash
Per il resto chiedi pure che programmi ti servono
« Ultima modifica: 26 Dicembre 2011 ore 22:44 da fedefox »

Offline The Chief

  • *
  • Post: 57
  • Reputazione: 2
    • Mostra profilo
Re:nuovo utente Chakra
« Risposta #10 il: 25 Dicembre 2011 ore 23:40 »
cosa intendi avviarlo da kickoff?
Per la scheda video cosa ne pensi?
Intendo, che dopo che lo installi lo trovi nel menù kickoff, poi una volta che lo lanci la prima volta te lo ritrovi nella sistemtray e ti si avvierà in automatico sempre

Offline Masque

  • *
  • Post: 723
  • Reputazione: 60
    • Mostra profilo
Re:nuovo utente Chakra
« Risposta #11 il: 25 Dicembre 2011 ore 23:41 »
quanto alla ati, ne ho una anch'io (radeon hd 4650) e viene gestita benissimo tramite i driver free già installati.
non ho dovuto installare nient'altro per farla andare.

riguardo agli altri pacchetti, personalmente, preferisco installarli mano a mano che mi servono, invece di tutti all'inizio... così ho il tempo, di volta in volta, di cercare quello che mi sembra migliore. se dovessi installare tutto in un colpo solo, lo farei senza pensare bene a ciò che faccio. in questo modo, mantengo l'installazione più minimale possibile.

Offline The Chief

  • *
  • Post: 57
  • Reputazione: 2
    • Mostra profilo
Re:nuovo utente Chakra
« Risposta #12 il: 25 Dicembre 2011 ore 23:43 »
@gippix
Ma tu usavi gnome o kde?

Offline gippix

  • *
  • Post: 125
  • Reputazione: -1
    • Mostra profilo
Re:nuovo utente Chakra
« Risposta #13 il: 25 Dicembre 2011 ore 23:54 »
Usavo gnome! ;D

Ho voluto fare una cambio netto!

Va bene:

Codice: [Seleziona]
[gippix@chakra-pc ~]$ sudo pacman -S ccr base-devel
Password:
:: Ci sono 13 membri nel gruppo base-devel:
:: Repository core
   1) autoconf  2) automake  3) bin86  4) bison  5) ed  6) fakeroot  7) flex
   8) gcc  9) libtool  10) m4  11) make  12) patch  13) pkgconfig

Digita una selezione (default=tutto):
attenzione: gcc-4.6.2-1 è aggiornato, sarà reinstallato
attenzione: libtool-2.4.2-2 è aggiornato, sarà reinstallato
risoluzione delle dipendenze in corso...
ricerca dei conflitti in corso...

Pacchetti (16): m4-1.4.16-2  autoconf-2.68-3  automake-1.11.1-3
                bin86-0.16.18-2  bison-2.5-3  ed-1.5-2  fakeroot-1.15.1-2
                flex-2.5.35-5  gcc-4.6.2-1  libtool-2.4.2-2  make-3.81-6
                patch-2.6.1-2  pkgconfig-0.25-2  jansson-2.1-1
                jshon-20110803-1  ccr-4.0.1-1

Dimensione totale dei pacchetti da scaricare:    18,75 MB
Dimensione totale dei pacchetti da installare:   72,56 MB

Vuoi procedere con l'installazione? [S/n] s
:: Download dei pacchetti da core...
 m4-1.4.16-2-i686        152,3K  202,9K/s 00:00:01 [######################] 100%
 autoconf-2.68-3-any     567,2K  272,3K/s 00:00:02 [######################] 100%
 automake-1.11.1-3-any   456,7K  284,1K/s 00:00:02 [######################] 100%
 bin86-0.16.18-2-i686     48,0K  113,1K/s 00:00:00 [######################] 100%
 bison-2.5-3-i686        408,9K  211,7K/s 00:00:02 [######################] 100%
 ed-1.5-2-i686            43,5K  100,1K/s 00:00:00 [######################] 100%
 fakeroot-1.15.1-2-i686   44,6K   62,5K/s 00:00:01 [######################] 100%
 flex-2.5.35-5-i686      232,3K  171,7K/s 00:00:01 [######################] 100%
 gcc-4.6.2-1-i686         16,1M  277,8K/s 00:00:59 [######################] 100%
 libtool-2.4.2-2-i686    268,2K  187,8K/s 00:00:01 [######################] 100%
 make-3.81-6-i686        323,2K  142,7K/s 00:00:02 [######################] 100%
 patch-2.6.1-2-i686       63,7K   81,4K/s 00:00:01 [######################] 100%
 pkgconfig-0.25-2-i686    44,7K  105,3K/s 00:00:00 [######################] 100%
:: Download dei pacchetti da platform...
 jansson-2.1-1-i686       30,5K   74,6K/s 00:00:00 [######################] 100%
 jshon-20110803-1-i686     7,4K   53,4K/s 00:00:00 [######################] 100%
:: Download dei pacchetti da apps...
 ccr-4.0.1-1-any           9,5K   19,6K/s 00:00:00 [######################] 100%
(16/16) controllo dell'integrità del pacchetto     [######################] 100%
(16/16) controllo dei conflitti in corso           [######################] 100%
( 1/16) installazione in corso di m4               [######################] 100%
( 2/16) installazione in corso di autoconf         [######################] 100%
( 3/16) installazione in corso di automake         [######################] 100%
( 4/16) installazione in corso di bin86            [######################] 100%
( 5/16) installazione in corso di bison            [######################] 100%
( 6/16) installazione in corso di ed               [######################] 100%
( 7/16) installazione in corso di fakeroot         [######################] 100%
( 8/16) installazione in corso di flex             [######################] 100%
( 9/16) aggiornamento in corso di gcc              [######################] 100%
(10/16) aggiornamento in corso di libtool          [######################] 100%
(11/16) installazione in corso di make             [######################] 100%
(12/16) installazione in corso di patch            [######################] 100%
Dipendenze opzionali di patch
    ed: Interpret the patch as an ed script; for patch -e
    functionality(deprecated)
(13/16) installazione in corso di pkgconfig        [######################] 100%
(14/16) installazione in corso di jansson          [######################] 100%
(15/16) installazione in corso di jshon            [######################] 100%
(16/16) installazione in corso di ccr              [######################] 100%
Dipendenze opzionali di ccr
    sudo: install and update packages as non-root
[gippix@chakra-pc ~]$

Il pacchetto chakra-essential dice che non esiste...
Codice: [Seleziona]
[gippix@chakra-pc ~]$ ccr -S chakra-essential
Package `chakra-essential' does not exist.

la distribuzione è già localizzata in italiano. una volta installata, viene utilizzata la lingua scelta durante l'installazione.
altrimenti, si può impostare globalmente modificando il file /etc/locale.conf
ad, esempio il mio, è così:
Codice: [Seleziona]
LANG=it_IT.utf8
LC_MESSAGES=it_IT.utf8

Ho controllato il mio file, è uguale a questo, però il sistema è in inglese.

« Ultima modifica: 26 Dicembre 2011 ore 00:14 da gippix »

Offline The Chief

  • *
  • Post: 57
  • Reputazione: 2
    • Mostra profilo
Re:nuovo utente Chakra
« Risposta #14 il: 26 Dicembre 2011 ore 00:11 »
Ben gippix è così che si inizia sei sulla buona strada  ;D
per chakra essential non si installa perchè ho sbagliato io manca una s ad essential cioè essentials  ;D
Cmq avevo messo il link al pacchetto col nome esatto :P

 

Template by Homey | Sito ufficiale | Disclaimer